feathers-primus

The Feathers Primus real-time API provider

Downloads in past

Stats

StarsIssuesVersionUpdatedCreatedSize
feathers-primus
1802.2.16 years ago8 years agoMinified + gzip package size for feathers-primus in KB

Readme

feathers-primus
Important: For Feathers v3.0.0 or later use the @feathersjs/primus module instead of feathers-primus.

Greenkeeper badge
Build Status Code Climate Test Coverage Dependency Status Download Status Slack Status
The Feathers Primus real-time API provider

About

This provider exposes Feathers services through Primus real-time APIs. It is compatible with Feathers 1.x and 2.x.
Note: For the full API documentation go to feathersjs.com/docs/providers.html.

Quick example

npm install ws

import feathers from 'feathers';
import primus from 'feathers-primus';

const app = feathers()
  .configure(primus({
    transformer: 'websockets'
  }, function(primus) {
    // Set up Primus authorization here
    primus.authorize(function (req, done) {
      req.feathers.data = 'Hello world';

      done();
    });
  }));

app.use('/todos', {
  get: function(id, params) {
    console.log(params.data); // -> 'Hello world'

    return Promise.resolve({
      id,
      description: `You have to do ${name}!`
    });
  }
});

License

Copyright (c) 2015
Licensed under the MIT license.